#!/bin/sh 
#
# This should be done at initial booting after installation.
# requires:
#	apache_mod_ssl-2.8.8-1.3.24
#
export LANG=C

if [ -r /tmp/SeTT_PX ]; then
  ROOT="`cat /tmp/SeTT_PX`"
fi

APACI_DIR=$ROOT/opt/apache
cd $ROOT/
(rm -f $ROOT/usr/bin/webazolver;
 ln -s /usr/bin/webalizer $ROOT/usr/bin/webazolver)


# ( DONOT CHANGE THE NEXT ONE LINE )
# Add WEBALIZER Entry to Apache document index.
if [ -f $APACI_DIR/htdocs/contents.list ]; then
  if ! fgrep "webalizer-2.01-10" $APACI_DIR/htdocs/contents.list 1> /dev/null 2>&1; then
    cat >> $APACI_DIR/htdocs/contents.list <<EOL

    <P ALIGN="CENTER"> webalizer-2.01-10
    ( <A
	HREF="http://www.mrunix.net/webalizer/"
      >http://www.mrunix.net/webalizer/</A>
    )<BR>
     (a fast, free web server log file analysis program)<BR>
     <A
      HREF="webalizer-2.01-10/"
     >doc</A>
     <A
      HREF="usage/"
     >What about this server?</A>
<BR>
    </P>
EOL
  fi
  ln -sf /usr/doc/webalizer-2.01-10 $APACI_DIR/htdocs/webalizer-2.01-10

  HNAME=`hostname -s`
  IPADR=`hostname -i`
  NNAME=`grep -v "^#" /etc/hosts | fgrep $IPADR | awk '{print $2}' `
  if [ "$NNAME" = "$HNAME" ] ; then
    NNAME=`grep -v "^#" /etc/hosts | fgrep $IPADR | awk '{print $3}' `
  fi
  if [ "$NNAME" != "" ] ; then
    sed -e "s/LOCALHOST/$NNAME/" $ROOT/etc/webalizer.conf.sample > $ROOT/etc/webalizer.conf
  fi
  mkdir -p $APACI_DIR/htdocs/usage
  cp /usr/doc/webalizer-2.01-10/msfree.png $APACI_DIR/htdocs/usage
  chown -R wadm.apache $APACI_DIR/htdocs/usage
  chmod -R go+r $APACI_DIR/htdocs/usage

  if [ -f /etc/logrotate.conf ] ; then
    if ! fgrep webalizer /etc/logrotate.conf 1> /dev/null 2>&1; then
	cat /usr/doc/webalizer-2.01-10/logrotate.sample >> /etc/logrotate.conf
    fi
  fi
else
  awk '/Add WEBALIZER Entry/,/#EOS1/' $ROOT/install/doinst.sh >> /tmp/add_apache_test.sh
fi
#EOS1
